### Enumeration

# Xdp ButtonState

unstable since: 1.0

#### Declaration

    enum Xdp.ButtonState

#### Description [src]

The XdpButtonState enumeration is used to describe the state of buttons.

Available since: 1.0

#### Members

`XDP_BUTTON_RELEASED`

  The button is down.

  - Value: `0`
  - Nickname: `released`
  - Available since: 1.0
`XDP_BUTTON_PRESSED`

  The button is up.

  - Value: `1`
  - Nickname: `pressed`
  - Available since: 1.0